public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: app-editors/qemacs/files/, app-editors/qemacs/
@ 2015-12-23 22:33 Ulrich Müller
  0 siblings, 0 replies; only message in thread
From: Ulrich Müller @ 2015-12-23 22:33 UTC (permalink / raw
  To: gentoo-commits

commit:     358960f9b06b100d33f02545039e6408c856b7b9
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 23 22:33:02 2015 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Wed Dec 23 22:33:02 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=358960f9

app-editors/qemacs: New snapshot.

This fixes building with GCC 5.3.

Bug: 569494

Package-Manager: portage-2.2.26

 app-editors/qemacs/Manifest                        |  1 +
 .../files/qemacs-0.4.1_pre20150916-Makefile.patch  | 38 ++++++++++++
 .../files/qemacs-0.4.1_pre20150916-nostrip.patch   | 38 ++++++++++++
 app-editors/qemacs/qemacs-0.4.1_pre20150916.ebuild | 71 ++++++++++++++++++++++
 4 files changed, 148 insertions(+)

diff --git a/app-editors/qemacs/Manifest b/app-editors/qemacs/Manifest
index c5a4ccb..fa2ea2e 100644
--- a/app-editors/qemacs/Manifest
+++ b/app-editors/qemacs/Manifest
@@ -1 +1,2 @@
 DIST qemacs-0.4.0_pre20090420.tar.bz2 1393436 SHA256 14f1ffad569f1bdaaa27d2d7ab0251ce69afc9efc347bb244b11f5e34e818ab5 SHA512 4595e34d3a83cbd7f25514dd96b7578976b30de80eb19b1391448ecdb9c06d24088880978961e5abb94b3f715057e7563ae0976d704bc5afaaf83e62a67e8dd4 WHIRLPOOL 63ba6950a0340731cd9a041a5929d18f1769d915a7343a94b2b0c48d82a0af1680b2163426e8d268240d3c0c740895853439d96c2d49791e106f0798f5d88a8b
+DIST qemacs-0.4.1_pre20150916.tar.xz 1136592 SHA256 1f019c7fc7aceaa2c5608a7ca251e244ee8bf67086e4b285c28f88849e1269b0 SHA512 e9775ff3dfef6d6b6b263029a620e6575f9f4718b94c0acfcddc8e5da8cd835e57dfbd5fbd948778135b609ae0588924fc9a727b2e763a25148aa27886a9f467 WHIRLPOOL 4f97d931eb3880a8ce0f1f09a6f404297797f230cfcc4d2507fcf0b6fcf0c4d28d5868e943905d316cb0d5d22581095c4cd1a8bf00c44f11ed7606a357f7cc19

diff --git a/app-editors/qemacs/files/qemacs-0.4.1_pre20150916-Makefile.patch b/app-editors/qemacs/files/qemacs-0.4.1_pre20150916-Makefile.patch
new file mode 100644
index 0000000..53c71f2
--- /dev/null
+++ b/app-editors/qemacs/files/qemacs-0.4.1_pre20150916-Makefile.patch
@@ -0,0 +1,38 @@
+Removes forced march setting and align-functions on x86, as they would
+override user's CFLAGS.
+
+--- qemacs-orig/Makefile
++++ qemacs/Makefile
+@@ -29,32 +29,6 @@
+     cmd   := 
+ endif
+ 
+-ifeq ($(CC),gcc)
+-  CFLAGS   += -Wall -g -O2 -funsigned-char
+-  # do not warn about zero-length formats.
+-  CFLAGS   += -Wno-format-zero-length
+-  LDFLAGS  := -g
+-endif
+-
+-#include local compiler configuration file
+--include $(DEPTH)/cflags.mk
+-
+-ifdef TARGET_GPROF
+-  CFLAGS  += -p
+-  LDFLAGS += -p
+-endif
+-
+-TLDFLAGS := $(LDFLAGS)
+-
+-ifdef TARGET_ARCH_X86
+-  #CFLAGS+=-fomit-frame-pointer
+-  ifeq ($(GCC_MAJOR),2)
+-    CFLAGS+=-m386 -malign-functions=0
+-  else
+-    CFLAGS+=-march=i386 -falign-functions=0
+-  endif
+-endif
+-
+ DEFINES=-DHAVE_QE_CONFIG_H
+ 
+ ########################################################

diff --git a/app-editors/qemacs/files/qemacs-0.4.1_pre20150916-nostrip.patch b/app-editors/qemacs/files/qemacs-0.4.1_pre20150916-nostrip.patch
new file mode 100644
index 0000000..2ee40c6
--- /dev/null
+++ b/app-editors/qemacs/files/qemacs-0.4.1_pre20150916-nostrip.patch
@@ -0,0 +1,38 @@
+Suppress stripping.
+
+--- qemacs-orig/Makefile
++++ qemacs/Makefile
+@@ -168,7 +168,6 @@
+ qe$(EXE): qe_g$(EXE) Makefile
+ 	@rm -f $@
+ 	cp $< $@
+-	-$(STRIP) $@
+ 	@ls -l $@
+ 	@echo `size $@` `wc -c $@` qe $(OPTIONS) \
+ 		| cut -d ' ' -f 7-10,13,15-40 >> STATS
+@@ -183,7 +182,6 @@
+ tqe$(EXE): tqe_g$(EXE) Makefile
+ 	@rm -f $@
+ 	cp $< $@
+-	-$(STRIP) $@
+ 	@ls -l $@
+ 	@echo `size $@` `wc -c $@` tqe $(OPTIONS) \
+ 		| cut -d ' ' -f 7-10,13,15-40 >> STATS
+@@ -386,7 +384,7 @@
+ 	$(INSTALL) -m 755 -d $(DESTDIR)$(prefix)/bin
+ 	$(INSTALL) -m 755 -d $(DESTDIR)$(mandir)/man1
+ 	$(INSTALL) -m 755 -d $(DESTDIR)$(datadir)/qe
+-	$(INSTALL) -m 755 -s qe$(EXE) $(DESTDIR)$(prefix)/bin/qemacs$(EXE)
++	$(INSTALL) -m 755 qe$(EXE) $(DESTDIR)$(prefix)/bin/qemacs$(EXE)
+ 	ln -sf qemacs $(DESTDIR)$(prefix)/bin/qe$(EXE)
+ ifdef CONFIG_FFMPEG
+ 	ln -sf qemacs$(EXE) $(DESTDIR)$(prefix)/bin/ffplay$(EXE)
+@@ -394,7 +392,7 @@
+ 	$(INSTALL) -m 644 kmaps ligatures $(DESTDIR)$(datadir)/qe
+ 	$(INSTALL) -m 644 qe.1 $(DESTDIR)$(mandir)/man1
+ ifdef CONFIG_HTML
+-	$(INSTALL) -m 755 -s html2png$(EXE) $(DESTDIR)$(prefix)/bin
++	$(INSTALL) -m 755 html2png$(EXE) $(DESTDIR)$(prefix)/bin
+ endif
+ 
+ uninstall:

diff --git a/app-editors/qemacs/qemacs-0.4.1_pre20150916.ebuild b/app-editors/qemacs/qemacs-0.4.1_pre20150916.ebuild
new file mode 100644
index 0000000..39fcf34
--- /dev/null
+++ b/app-editors/qemacs/qemacs-0.4.1_pre20150916.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils flag-o-matic toolchain-funcs
+
+DESCRIPTION="QEmacs is a very small but powerful UNIX editor"
+HOMEPAGE="http://savannah.nongnu.org/projects/qemacs"
+# snapshot of http://cvs.savannah.gnu.org/viewvc/?root=qemacs
+SRC_URI="https://dev.gentoo.org/~ulm/distfiles/${P}.tar.xz"
+
+LICENSE="LGPL-2.1+ GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~x86"
+IUSE="X png unicode xv"
+RESTRICT="test"
+
+RDEPEND="
+	X? ( x11-libs/libX11
+		x11-libs/libXext
+		xv? ( x11-libs/libXv ) )
+	png? ( >=media-libs/libpng-1.2:0= )"
+
+DEPEND="${RDEPEND}
+	>=app-text/texi2html-5"
+
+S="${WORKDIR}/${PN}"
+
+src_prepare() {
+	epatch "${FILESDIR}/${P}-Makefile.patch"
+	epatch "${FILESDIR}/${P}-nostrip.patch"
+
+	# Change the manpage to reference a /real/ file instead of just an
+	# approximation.  Purely cosmetic!
+	sed -i -e "s,^/usr/share/doc/qemacs,&-${PVR}," qe.1 || die
+}
+
+src_configure() {
+	# when using any other CFLAGS than -O0, qemacs will segfault on startup,
+	# see bug 92011
+	replace-flags "-O?" -O0
+
+	# Home-grown configure script, doesn't support most standard options
+	./configure \
+		--prefix=/usr \
+		--mandir=/usr/share/man \
+		--cc="$(tc-getCC)" \
+		$(use_enable X x11) \
+		$(use_enable png) \
+		$(use_enable xv) || die
+}
+
+src_compile() {
+	# Does not support parallel building.
+	emake -j1
+}
+
+src_install() {
+	emake install DESTDIR="${D}"
+	dodoc Changelog README TODO.org config.eg
+	docinto html
+	dodoc qe-doc.html
+
+	# Install headers so users can build their own plugins.
+	insinto /usr/include/qe
+	doins *.h
+	insinto /usr/include/qe/libqhtml
+	doins libqhtml/*.h
+}


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2015-12-23 22:33 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2015-12-23 22:33 [gentoo-commits] repo/gentoo:master commit in: app-editors/qemacs/files/, app-editors/qemacs/ Ulrich Müller

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox